QwtScaleMap(3)

NAME
QwtScaleMap -

SYNOPSIS

#include <qwt_scale_map.h>

  Public Member Functions
QwtScaleMap ()
QwtScaleMap (const QwtScaleMap &)
~QwtScaleMap ()
double invTransform (double p) const
bool isInverting () const
QwtScaleMap & operator= (const QwtScaleMap &)
double p1 () const
double p2 () const
double pDist () const
double s1 () const
double s2 () const
double sDist () const
void setPaintInterval (double p1, double p2)
void setScaleInterval (double s1, double s2)
void setTransformation (QwtScaleTransformation *)
double transform (double s) const
const QwtScaleTransformation * transformation () const

  Static Public Member Functions
static QRectF invTransform (const QwtScaleMap &, const QwtScaleMap &, const QRectF &)
static QPointF invTransform (const QwtScaleMap &, const QwtScaleMap &, const QPointF &)
static QRectF transform (const QwtScaleMap &, const QwtScaleMap &, const QRectF &)
static QPointF transform (const QwtScaleMap &, const QwtScaleMap &, const QPointF &)

  Public Attributes
QT_STATIC_CONST double LogMax = 1.0e150
QT_STATIC_CONST double LogMin = 1.0e-150

Detailed Description

A scale map. QwtScaleMap offers transformations from the coordinate system of a scale into the linear coordinate system of a paint device and vice versa.

Constructor & Destructor Documentation

  QwtScaleMap::QwtScaleMap ()

Constructor. The scale and paint device intervals are both set to [0,1].

  QwtScaleMap::~QwtScaleMap ()
Destructor

Member Function Documentation

  double QwtScaleMap::invTransform (doublep) const [inline]
Transform an paint device value into a value in the interval of the scale.

Parameters:
    p Value relative to the coordinates of the paint device

See also:
    transform()

  QRectF QwtScaleMap::invTransform (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &rect) [static]
Transform a rectangle from paint to scale coordinates

Parameters:
    xMap X map
    yMap Y map
    rect Rectangle in paint coordinates

Returns:
    Rectangle in scale coordinates

See also:
    transform()

  QPointF QwtScaleMap::invTransform (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QPointF &pos) [static]
Transform a rectangle from paint to scale coordinates

Parameters:
    xMap X map
    yMap Y map
    pos Position in paint coordinates

Returns:
    Position in scale coordinates

See also:
    transform()

  bool QwtScaleMap::isInverting () const [inline]
Returns:
    True, when ( p1() < p2() ) != ( s1() < s2() )

  double QwtScaleMap::p1 () const [inline]
Returns:
    First border of the paint interval

  double QwtScaleMap::p2 () const [inline]
Returns:
    Second border of the paint interval

  double QwtScaleMap::pDist () const [inline]
Returns:
    qwtAbs(p2() - p1())

  double QwtScaleMap::s1 () const [inline]
Returns:
    First border of the scale interval

  double QwtScaleMap::s2 () const [inline]
Returns:
    Second border of the scale interval

  double QwtScaleMap::sDist () const [inline]
Returns:
    qwtAbs(s2() - s1())

  void QwtScaleMap::setPaintInterval (doublep1, doublep2)

Specify the borders of the paint device interval. Parameters:
    p1 first border
    p2 second border

  void QwtScaleMap::setScaleInterval (doubles1, doubles2)

Specify the borders of the scale interval. Parameters:
    s1 first border
    s2 second border

Warning:
    logarithmic scales might be aligned to [LogMin, LogMax]

  void QwtScaleMap::setTransformation (QwtScaleTransformation *transformation)
Initialize the map with a transformation

  double QwtScaleMap::transform (doubles) const [inline]
Transform a point related to the scale interval into an point related to the interval of the paint device

Parameters:
    s Value relative to the coordinates of the scale

  QRectF QwtScaleMap::transform (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &rect) [static]
Transform a rectangle from scale to paint coordinates

Parameters:
    xMap X map
    yMap Y map
    rect Rectangle in scale coordinates

Returns:
    Rectangle in paint coordinates

See also:
    invTransform()

  QPointF QwtScaleMap::transform (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QPointF &pos) [static]
Transform a point from scale to paint coordinates

Parameters:
    xMap X map
    yMap Y map
    pos Position in scale coordinates

Returns:
    Position in paint coordinates

See also:
    invTransform()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.